## python-bonsai 1.4.0+ds

=== docs/requirements.txt ===
sphinx==4.2.0
sphinx_rtd_theme==1.0.0
furo==2022.01.02
readthedocs-sphinx-search==0.1.1

## python-bonsai 1.3.0+ds

=== debian/changelog ===
python-bonsai (1.3.0+ds-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:45:24 +0000

python-bonsai (1.3.0+ds-3) unstable; urgency=medium

  * Team upload.

  [ Robin Jarry ]
  * Use container isolation for autopkgtests.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 01 Feb 2022 23:07:31 -0500

python-bonsai (1.3.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 28 Jan 2022 19:00:34 -0500

python-bonsai (1.3.0+ds-1) unstable; urgency=medium

  * Team upload.

  [ Robin Jarry ]
  * Initial release. (Closes: #1001417)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 14 Dec 2021 16:58:23 -0500

=== debian/control ===
Source: python-bonsai
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Robin Jarry <robin@jarry.cc>
Standards-Version: 4.6.0.1
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libldap2-dev,
 libkrb5-dev,
 libsasl2-dev,
 python3-all-dev,
 python3-gevent,
 python3-pytest,
 python3-pytest-timeout,
 python3-setuptools (>= 40.6.2),
 python3-sphinx,
 python3-tornado,
Homepage: https://github.com/noirello/bonsai
Vcs-Git: https://salsa.debian.org/python-team/packages/python-bonsai.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bonsai
Rules-Requires-Root: no

Package: python3-bonsai
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
Recommends:
 python3-gevent,
 python3-tornado,
Suggests:
 python3-bonsai-doc,
Description: Asyncio/gevent/tornado-compatible LDAP library
 Bonsai is library for handling LDAP operations in Python. LDAP entries are
 mapped to a special Python case-insensitive dictionary, tracking the changes
 of the dictionary to modify the entry on the server easily.
 .
 Supports only Python 3.6 or newer, and LDAPv3.
 .
 Uses LDAP libraries written in C for faster processing.
 .
 Simple pythonic design.
 .
 Implements an own dictionary-like object for mapping LDAP entries that makes
 easier to add and modify them.
 .
 Works with various asynchronous libraries (like asyncio, gevent).

Package: python3-bonsai-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Asyncio/gevent/tornado-compatible LDAP library (documentation)
 Bonsai is library for handling LDAP operations in Python. LDAP entries are
 mapped to a special Python case-insensitive dictionary, tracking the changes
 of the dictionary to modify the entry on the server easily.
 .
 Supports only Python 3.6 or newer, and LDAPv3.
 .
 Uses LDAP libraries written in C for faster processing.
 .
 Simple pythonic design.
 .
 Implements an own dictionary-like object for mapping LDAP entries that makes
 easier to add and modify them.
 .
 Works with various asynchronous libraries (like asyncio, gevent).
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# These tests require a running LDAP server
disabled_tests = \
	tests/test_asyncio.py \
	tests/test_gevent.py \
	tests/test_ldapclient.py \
	tests/test_ldapconnection.py \
	tests/test_ldapentry.py \
	tests/test_ldapreference.py \
	tests/test_pool.py \
	tests/test_tornado.py \
	tests/test_utils.py

docs = {dir}/docs/_build
PYBUILD_AFTER_CLEAN = rm -rf $(docs)
PYBUILD_AFTER_INSTALL = \
	PYTHONPATH={destdir}/{install_dir} \
	{interpreter} -m sphinx -N -b html {dir}/docs/ $(docs)
PYBUILD_TEST_ARGS = $(addprefix --ignore=,$(disabled_tests))
export PYBUILD_AFTER_CLEAN PYBUILD_AFTER_INSTALL PYBUILD_TEST_ARGS

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Tests: smoke
Restrictions:
 needs-root,
 breaks-testbed,
 allow-stderr,
 isolation-container,
Depends:
 @,
 krb5-admin-server,
 krb5-kdc,
 krb5-user,
 ldap-utils,
 libsasl2-modules-gssapi-mit,
 openssl,
 python3-gevent,
 python3-pytest,
 python3-pytest-timeout,
 python3-tornado,
 sasl2-bin,
 slapd,

## python-bonsai 1.4.0+ds

=== debian/changelog ===
python-bonsai (1.4.0+ds-1) unstable; urgency=medium

  * New upstream version 1.4.0+ds
  * d/control: update standards-version to 4.6.1

 -- Robin Jarry <robin@jarry.cc>  Tue, 16 Aug 2022 10:56:51 +0200

python-bonsai (1.3.0+ds-4) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/t/smoke: fix ldapwhoami command-line parameter
  * d/t/smoke: move set -e to the top
  * d/t/smoke: load ppolicy.ldif only once
  * d/t/smoke: less greedy chown
  * d/t/smoke: don't make /var/log/world writable

  [ Robin Jarry ]
  * Fix tests with tornado 6.2.0 (Closes: #1016453)

 -- Robin Jarry <robin@jarry.cc>  Sat, 13 Aug 2022 16:28:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Robin Jarry <robin@jarry.cc>
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -17,6 +17,7 @@
  python3-setuptools (>= 40.6.2),
  python3-sphinx,
  python3-tornado,
+ python3-trio,
 Homepage: https://github.com/noirello/bonsai
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bonsai.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bonsai

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	tests/test_ldapreference.py \
 	tests/test_pool.py \
 	tests/test_tornado.py \
+	tests/test_trio.py \
 	tests/test_utils.py
 
 docs = {dir}/docs/_build
@@ -28,3 +29,7 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_build:
+	@echo 'blhc: ignore-line-regexp: .*test_krb5\.o -lkrb5 -lgssapi.*test_krb5'
+	dh_auto_build -O--buildsystem=pybuild

## python-bonsai 1.5.0%2Bds

=== debian/changelog ===
python-bonsai (1.5.0+ds-3build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:38:48 +0000

python-bonsai (1.5.0+ds-3build2) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 10:06:05 +0100

python-bonsai (1.5.0+ds-3build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 16 Mar 2023 07:26:36 +0000

python-bonsai (1.5.0+ds-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 28 Nov 2022 02:26:57 +0000

python-bonsai (1.5.0+ds-2) unstable; urgency=medium

  * Disable autopkgtests on armhf and armel (Closes: #1019152)

 -- Robin Jarry <robin@jarry.cc>  Tue, 20 Sep 2022 00:30:35 +0200

python-bonsai (1.5.0+ds-1) unstable; urgency=medium

  * New upstream version 1.5.0+ds
  * d/patches: remove redundant patches included in upstream
  * d/patches: disable distutils to fix build error (Closes: #1020144)

 -- Robin Jarry <robin@jarry.cc>  Mon, 19 Sep 2022 09:33:14 +0000

## python-bonsai 1.5.0+ds

=== docs/requirements.txt ===
sphinx==5.1.1
sphinx_rtd_theme==1.0.0
furo==2022.6.21
readthedocs-sphinx-search==0.1.1

=== debian/rules ===
--- 
+++ 
@@ -31,5 +31,5 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
-	@echo 'blhc: ignore-line-regexp: .*test_krb5\.o -lkrb5 -lgssapi.*test_krb5'
+	@echo 'blhc: ignore-line-regexp: .*test_krb5\.o .*test_krb5'
 	dh_auto_build -O--buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Tests: smoke
+Architecture: !armel !armhf
 Restrictions:
  needs-root,
  breaks-testbed,

## python-bonsai 1.5.3+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bonsai.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bonsai.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/bonsai"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/bonsai"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
sphinx==7.1.2
sphinx_rtd_theme==1.3.0
furo==2023.8.19
readthedocs-sphinx-search==0.3.2

=== debian/changelog ===
python-bonsai (1.5.3+ds-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:24:11 +0000

python-bonsai (1.5.3+ds-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:07:09 +0000

python-bonsai (1.5.3+ds-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:38:45 +0100

python-bonsai (1.5.3+ds-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.5.3+ds
  * Add furo to build dependencies, it is now available
  * Fix i386/GCC-14 compatibility with a patch
  * Use new dh-sequence-python3
  * Clean .pytest_cache/ (Closes: #1067266)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 31 Jul 2024 16:03:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ furo <!nodoc>,
  libldap2-dev,
  libkrb5-dev,
  libsasl2-dev,
@@ -14,8 +15,8 @@
  python3-gevent,
  python3-pytest,
  python3-pytest-timeout,
- python3-setuptools (>= 40.6.2),
- python3-sphinx,
+ python3-setuptools,
+ python3-sphinx <!nodoc>,
  python3-tornado,
  python3-trio,
 Homepage: https://github.com/noirello/bonsai

=== debian/rules ===
--- 
+++ 
@@ -20,16 +20,18 @@
 	tests/test_utils.py
 
 docs = {dir}/docs/_build
-PYBUILD_AFTER_CLEAN = rm -rf $(docs)
-PYBUILD_AFTER_INSTALL = \
+export PYBUILD_AFTER_CLEAN = rm -rf $(docs)
+export PYBUILD_AFTER_INSTALL = \
 	PYTHONPATH={destdir}/{install_dir} \
 	{interpreter} -m sphinx -N -b html {dir}/docs/ $(docs)
-PYBUILD_TEST_ARGS = $(addprefix --ignore=,$(disabled_tests))
-export PYBUILD_AFTER_CLEAN PYBUILD_AFTER_INSTALL PYBUILD_TEST_ARGS
+export PYBUILD_TEST_ARGS = $(addprefix --ignore=,$(disabled_tests))
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	@echo 'blhc: ignore-line-regexp: .*test_krb5\.o .*test_krb5'
 	dh_auto_build -O--buildsystem=pybuild
+
+execute_after_dh_auto_install:
+	rm -rvf debian/tmp/usr/lib/python3.*/dist-packages/.pytest_cache/

=== debian/watch ===
version=4
opts="mode=git, repacksuffix=+ds, dversionmangle=s/\+ds//,repack" \
https://github.com/noirello/bonsai.git \
refs/tags/v(\d[\d\.]+)
